=== icons/CMakeLists.txt ===
include(ECMInstallIcons)

file(GLOB SVGZs *.svgz)

ecm_install_icons(ICONS ${SVGZs} DESTINATION ${KDE_INSTALL_ICONDIR})
