=== src/CMakeLists.txt ===
file(GLOB PROJECT_SOURCE_FILES LIST_DIRECTORIES false *.cxx)

add_executable(${PROJECT_NAME} ${PROJECT_SOURCE_FILES})

target_compile_definitions(${PROJECT_NAME} PRIVATE
    FATAL_BUG=qFatal\(\"There's\ a\ bug!\"\)
    PROJECT_NAME=\"${PROJECT_NAME}\"
    PROJECT_VERSION=\"${PROJECT_VERSION}\"
    QT_NO_CAST_FROM_ASCII
    QT_NO_CAST_TO_ASCII
    QT_NO_URL_CAST_FROM_STRING
    QT_USE_QSTRINGBUILDER
    URL_DISPLAY_FORMAT=QUrl::RemovePassword\ |\ QUrl::PreferLocalFile\ |\ QUrl::PrettyDecoded
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    KF5::ItemViews
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIONTLM
    KF5::KIOWidgets
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::XmlGui
    Qt5::Concurrent
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
)

install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ${PROJECT_NAME}.desktop DESTINATION ${KDE_INSTALL_APPDIR})
