=== debian/changelog ===
kfoldersync (3.4.1-1) xenial; urgency=medium

  * Latest release. Changelog at http://ur1.ca/hruvd

 -- Lorenzo Porta (Vindex17) <vindex17@outlook.it>  Wed, 25 Jan 2016 15:07:16 +0100

kfoldersync (3.3.0-1) xenial; urgency=medium

  * First release.

 -- Lorenzo Porta (Vindex17) <vindex17@outlook.it>  Sat, 27 Aug 2016 12:46:22 +0200
