=== debian/control ===
Source: kfoldersync
Section: kde
Priority: optional
Maintainer: Lorenzo Porta (Vindex17) <vindex17@outlook.it>
Build-Depends: debhelper, pkg-kde-tools, cmake, extra-cmake-modules, qtbase5-dev, libfam0, libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev, libkf5i18n-dev, libkf5itemviews-dev, kio-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev, libkf5xmlgui-dev
Standards-Version: 3.9.8
Homepage: https://www.linux-apps.com/p/1127677/

Package: kfoldersync
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Folder synchronization and backup tool.
 Folder synchronization and backup tool based on KDE Frameworks.
